Subject: Re: Re: Label Spaces and Uniqueness

From: Anouk Rocher <[email-masked]>
Date: Tue, 10 Jul 2001 14:39:26 -0400

David, 

Let me clarify with a more specific example. Lets say we want
to deploy one of the l2 vpn mechanisms - say the one in draft-maritini-*
The inner label there is negotiated between the ingress and egress
LSRs via LDP (sort of multi-hop). The inner label is negotiated (say)
via RSVP-TE.

I don't see a reason why LDP and RSVP-TE be forced to use the same
label space in this case. (I am sure there are similar cases while
using wavelengths as labels.)

Am I missing something obvious?

Anouk.

________________________________________________
Get your own "800" number
Voicemail, fax, email, and a lot more
http://www.ureach.com/reg/tag

---- On Tue, 10 Jul 2001, David Charlap ([email-masked]) wrote:

> Anouk Rocher wrote:
> > 
> > RFC 3031 in section 3.14 says (in the penultimate paragraph)
> > 
> >   "In MPLS, there is no notion of
> >    having a different label space for different levels of the
> >    hierarchy; when interpreting a label, the level of the label is
> >    irrelevant."
> > 
> > Does this mean that while doing label stacking, it is neccessary to
> > allocate labels from a single label space?
> 
> Yes.
> 
> > Isn't this a bit too restrictive for the cases where the inner
> > label represents customer traffic transiting a provider and the
> > outer label represents a path through the provider?
> 
> What's your alternative?  When a data packet arrives, how are you going
> to know what label space the top label should belong to?
> 
> -- David
> 
>

---

From: Eric Gray <[email-masked]>
Date: Tue, 10 Jul 2001 15:23:45 -0400

Anouk,

    I assume that David can answer for himself, however I would like to
get some things clarified.  Please see comments/questions below.

> LSRs via LDP (sort of multi-hop). The inner label is negotiated (say)

I believe one of these should be 'outer label'.  I assume you mean higher
level, when you say 'outer' and lower level when you say 'inner' but, even
so, I am not sure which should be which in your description above (just
that they cannot both be the same).

Would you recast your question somehow distinguishing which is which?

> Am I missing something obvious?

So, one reason would be if PHP is used.  In this case, the egress for the
lower level label will not have received the higher level label and will not
be able to distinguish it from other labels it receives from the penultimate
hop.  Give that this is the case, then the egress LSR must not distribute
a label to be used by the remote LSR at the other end of the LSP tunnel
with a different meaning then an identical label distributed to the local
LSR that happens to be the punultimate hop for the LSP tunnel.

This is an example of when the label space MUST be the same.  Does this
answer your question?

---

From: David Charlap <[email-masked]>
Date: Tue, 10 Jul 2001 15:38:18 -0400

Anouk Rocher wrote:
> to deploy one of the l2 vpn mechanisms - say the one in
> draft-maritini-* The inner label there is negotiated between the
> ingress and egress LSRs via LDP (sort of multi-hop). The inner label
> is negotiated (say) via RSVP-TE.
> 

As Eric just wrote, one example is if the inner LSP is using PHP.  In
which case, the egress router will always get a single lable.  It will
have no way of knowing if that label was originally part of a stack or
if it was always a standalone label.

In which case, a single label space must be used, to guarantee that the
inner and outer labels have different values.

-- David